<?php

/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

class BinEventCalendar_Taxonomy
{
	function __construct()
	{
		// register taxomomy
		add_action('init', [$this, 'init']);
	}
	
	public function init()
	{
		register_taxonomy('event_category', 'event', [
			'hierarchical' => false,
			'labels' => [
				'name' => _x('Categories', 'taxonomy general name', 'bin-event-calendar'),
				'singular_name' => _x('Group', 'taxonomy singular name', 'bin-event-calendar'),
				'search_items' => __('Search categories', 'bin-event-calendar'),
				'popular_items' => __('Popular categories', 'bin-event-calendar'),
				'all_items' => __('All categories', 'bin-event-calendar'),
				'parent_item' => null,
				'parent_item_colon' => null,
				'edit_item' => __('Edit category', 'bin-event-calendar'),
				'update_item' => __('Update category', 'bin-event-calendar'),
				'add_new_item' => __('Add new category', 'bin-event-calendar'),
				'new_item_name' => __('New category name', 'bin-event-calendar'),
				'separate_items_with_commas' => __('Separate categories with commas', 'bin-event-calendar'),
				'add_or_remove_items' => __('Add or remove categories', 'bin-event-calendar'),
				'choose_from_most_used' => __('Choose from the most used categories', 'bin-event-calendar'),
				'not_found' => __('No categories found.', 'bin-event-calendar'),
				'menu_name' => __('Categories', 'bin-event-calendar'),
			],
			'show_ui' => true,
			'show_admin_column' => true,
			'show_in_rest' => true,
			'rest_base' => 'event_category',
			'update_count_callback' => '_update_post_term_count',
			'query_var' => true,
			//'rewrite' => ['slug' => 'writer'],
		]);	
	}
}